=== debian/changelog ===
opm-grid (2021.10-2build1) jammy; urgency=medium

  * No-change rebuild against trilinos 13.2

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 25 Feb 2022 07:06:42 +0000

opm-grid (2021.10-2) unstable; urgency=medium

  * d/control: Do not list g++ in Build-Depends
  * d/control: Build on any architecture even though some will fail.
  * d/tests/control: Allow autopkgtest only on 64bit hardware.
  * d/control: Use standard version 4.6.0
  * Cleanup prerequisites / Build-Depends (drop libboost-date-time-dev).

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 16 Feb 2022 19:49:49 +0100

opm-grid (2021.10-1) unstable; urgency=medium

  * Initial release (Closes: #987381)

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 16 Nov 2021 16:28:54 +0100
