=== debian/control ===
Source: opm-grid
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Arne Morten Kvarving <arne.morten.kvarving@sintef.no>, Markus Blatt <markus@dr-blatt.de>
Build-Depends: debhelper-compat (= 13), cmake (>=3.10), quilt,
               libboost-system-dev, libboost-test-dev,
               libdune-common-dev (>= 2.6), bc, git, zlib1g-dev, libtool, pkg-config,
               libdune-grid-dev (>= 2.6), libtinyxml-dev,
               libdune-istl-dev (>= 2.6), doxygen, texlive-latex-extra,
               texlive-latex-recommended, ghostscript,
               libsuitesparse-dev, libpython3-dev,
               libopm-common-dev (>=2021.10), libscotchmetis-dev, libscotchparmetis-dev,
               libdune-geometry-dev (>= 2.6), libtrilinos-zoltan-dev, mpi-default-dev,
               mpi-default-bin
Standards-Version: 4.6.0
Section: libs
Homepage: http://opm-project.org
Vcs-Browser: https://salsa.debian.org/science-team/opm-grid
Vcs-Git: https://salsa.debian.org/science-team/opm-grid.git
Rules-Requires-Root: no

Package: libopm-grid-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${opm:shared-library}, ${misc:Depends}, libdune-grid-dev (>= 2.6),
         libdune-istl-dev  (>= 2.6), libopm-common-dev  (>= 2021.10),
	 libscotchmetis-dev, libscotchparmetis-dev, libtrilinos-zoltan-dev
Replaces: libopm-grid1-dev
Suggests: libopm-grid-doc
Description: DUNE grid implementations for reservoir simulation -- development files
 The Open Porous Media (OPM) software suite provides libraries and
 tools for modeling and simulation of porous media processes, especially
 for simulating CO2 sequestration and improved and enhanced oil recovery.
 .
 opm-grid provides implementations of grids for reservoir simulation,
 corner point or more general pillar grids, following the DUNE grid interface:
 CpGrid, a parallel corner point grid, and PolyhedralGrid a more general serial
 grid implementation of an unstructured, legacy, grid.
 .
 A standard grid type in the petroleum industry, corner-point grids fills
 the domain with a relatively low number of cells while still providing
 sufficient flexibility to model faults, fractures and erosion. The grid
 format was originally designed with an eye towards geological modeling
 rather than numerical simulation, but is still suitable for e.g. low order
 finite volume discretizations.
 .
 This package provides the development files for the grid implementations,
 i.e. the headers and shared library links.

Package: libopm-grid
Pre-Depends: ${misc:Pre-Depends}
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: ${opm:shared-library}
Replaces: libopm-grid1
Description: DUNE grid implementations for reservoir simulation -- library
 The Open Porous Media (OPM) software suite provides libraries and
 tools for modeling and simulation of porous media processes, especially
 for simulating CO2 sequestration and improved and enhanced oil recovery.
 .
 opm-grid provides implementations of grids for reservoir simulation,
 corner point or more general pillar grids, following the DUNE grid interface:
 CpGrid, a parallel corner point grid, and PolyhedralGrid a more general serial
 grid implementation of an unstructured, legacy, grid.
 .
 A standard grid type in the petroleum industry, corner-point grids fills
 the domain with a relatively low number of cells while still providing
 sufficient flexibility to model faults, fractures and erosion. The grid
 format was originally designed with an eye towards geological modeling
 rather than numerical simulation, but is still suitable for e.g. low order
 finite volume discretizations.
 .
 This package provides the library of the grid implementations.

Package: libopm-grid-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: libopm-grid1-doc
Description: DUNE grid implementations for reservoir simulation -- documentation
 The Open Porous Media (OPM) software suite provides libraries and
 tools for modeling and simulation of porous media processes, especially
 for simulating CO2 sequestration and improved and enhanced oil recovery.
 .
 opm-grid provides implementations of grids for reservoir simulation,
 corner point or more general pillar grids, following the DUNE grid interface:
 CpGrid, a parallel corner point grid, and PolyhedralGrid a more general serial
 grid implementation of an unstructured, legacy, grid.
 .
 A standard grid type in the petroleum industry, corner-point grids fills
 the domain with a relatively low number of cells while still providing
 sufficient flexibility to model faults, fractures and erosion. The grid
 format was originally designed with an eye towards geological modeling
 rather than numerical simulation, but is still suitable for e.g. low order
 finite volume discretizations.
 .
 This package provides the source code documentation of the grid
 implementations.

Package: libopm-grid-bin
Pre-Depends: ${misc:Pre-Depends}
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libopm-grid1-bin
Description: corner point grid utility programs
 The Open Porous Media (OPM) software suite provides libraries and
 tools for modeling and simulation of porous media processes, especially
 for simulating CO2 sequestration and improved and enhanced oil recovery.
 .
 opm-grid provides implementations of grids for reservoir simulation,
 corner point or more general pillar grids, following the DUNE grid interface:
 CpGrid, a parallel corner point grid, and PolyhedralGrid a more general serial
 grid implementation of an unstructured, legacy, grid.
 .
 A standard grid type in the petroleum industry, corner-point grids fills
 the domain with a relatively low number of cells while still providing
 sufficient flexibility to model faults, fractures and erosion. The grid
 format was originally designed with an eye towards geological modeling
 rather than numerical simulation, but is still suitable for e.g. low order
 finite volume discretizations.
 .
 This package provides programs to mirror corner point grids specified in
 Eclipse file format and convert the corner point grid representation
 of an Eclipse together with permeability/porosity to file suitable
 for visualization with Paraview.
