## opm-grid 2022.04+ds

=== debian/changelog ===
opm-grid (2022.04+ds-2) unstable; urgency=medium

  * Changed version in dune.module to 2022.04

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 12 May 2022 14:20:48 +0200

opm-grid (2022.04+ds-1) unstable; urgency=medium

  * New final upstream release 2022.04
  * d/watch: Advertise repackaged tarball in name

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 11 May 2022 22:56:33 +0200

opm-grid (2022.04~rc1-2) experimental; urgency=medium

  * d/rules: Fix OPM version dependency

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 28 Apr 2022 12:02:36 +0200

opm-grid (2022.04~rc1-1) experimental; urgency=medium

  * New upstream release candidate 2022.04-1
  * Dropped patches incorporated into upstream.
  * d/control: Use debhelper-compat (= 12) to support older Ubuntu.
  * d/control: Depend on OPM 2022.04.
  * d/tests: Do not limit architecture but skip not installable

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 27 Apr 2022 23:54:23 +0200

opm-grid (2021.10-5) unstable; urgency=medium

  * d/tests: Use local (fixed) opm-autopkgtest (Closes: #1009685)

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 25 Apr 2022 17:16:52 +0200

opm-grid (2021.10-4) unstable; urgency=medium

  * d/tests: Use local opm-autopkgtest script that strips
      superfluous libraries (Closes: #1009685)

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 25 Apr 2022 15:39:33 +0200

opm-grid (2021.10-3) unstable; urgency=medium

  * d/rules: Facilitate building with pbuilder without local libopm-common-dev

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 01 Apr 2022 13:37:39 +0200
