=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Arne Morten Kvarving <arne.morten.kvarving@sintef.no>, Markus Blatt <markus@dr-blatt.de>
-Build-Depends: debhelper-compat (= 13), cmake (>=3.10), quilt,
+Build-Depends: debhelper-compat (= 12), cmake (>=3.10), quilt,
                libboost-system-dev, libboost-test-dev,
                libdune-common-dev (>= 2.6), bc, git, zlib1g-dev, libtool, pkg-config,
                libdune-grid-dev (>= 2.6), libtinyxml-dev,
                libdune-istl-dev (>= 2.6), doxygen, texlive-latex-extra,
                texlive-latex-recommended, ghostscript,
                libsuitesparse-dev, libpython3-dev,
-               libopm-common-dev (>=2021.10), libscotchmetis-dev, libscotchparmetis-dev,
+               libopm-common-dev (>= 2022.04),
+	       libscotchmetis-dev, libscotchparmetis-dev,
                libdune-geometry-dev (>= 2.6), libtrilinos-zoltan-dev, mpi-default-dev,
                mpi-default-bin
 Standards-Version: 4.6.0
@@ -24,7 +25,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${opm:shared-library}, ${misc:Depends}, libdune-grid-dev (>= 2.6),
-         libdune-istl-dev  (>= 2.6), libopm-common-dev  (>= 2021.10),
+         libdune-istl-dev  (>= 2.6), libopm-common-dev  (>= 2022.04),
 	 libscotchmetis-dev, libscotchparmetis-dev, libtrilinos-zoltan-dev
 Replaces: libopm-grid1-dev
 Suggests: libopm-grid-doc
