=== debian/tests/control ===
Tests: basic
Depends:
  libopm-grid-dev,
  build-essential,
  mpi-default-bin, mpi-default-dev,
  libboost-test-dev
Restrictions: allow-stderr, skip-not-installable
