=== debian/changelog ===
opm-grid (2022.10+ds-3) unstable; urgency=medium

  * d/control: Removed unneeded git from Build-Depends.

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 08 Mar 2023 23:49:15 +0100

opm-grid (2022.10+ds-2) experimental; urgency=medium

  * d/control: Bumped standards version to 4.6.2 (no-change)

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 09 Jan 2023 12:08:19 +0100

opm-grid (2022.10+ds-1) unstable; urgency=medium

  * New upstream version 2022.10
  * d/control: Bump dependency on OPM version to 2022.10

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 15 Nov 2022 16:32:26 +0100

opm-grid (2022.10~rc2+ds-1) experimental; urgency=medium

  * new upstream release candidate 2022.10-rc2
  * d/tests: depend on same version of packages for autopkgtest.

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 08 Nov 2022 20:29:52 +0100

opm-grid (2022.10~rc1+ds-1) experimental; urgency=medium

  * New upstream release candidate 2022.10-rc1
  * d/control: Depend on 2022.10 of OPM
  * d: Updated copyright.

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 04 Nov 2022 09:35:37 +0100
