## opm-grid 2023.04+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -23,11 +23,7 @@
 # the build starts, so it makes sense to keep the data there then.
 
 option(SIBLING_SEARCH "Search for other modules in sibling directories?" ON)
-option(ENABLE_3DPROPS_TESTING "Build and use the new experimental 3D properties" OFF)
 option(REQUIRE_ZOLTAN "Require Zoltan to be found (needed for productive run" ON)
-if (ENABLE_3DPROPS_TESTING)
-  add_definitions(-DENABLE_3DPROPS_TESTING)
-endif()
 
 if(SIBLING_SEARCH AND NOT opm-common_DIR)
   # guess the sibling dir
@@ -40,7 +36,6 @@
     set(opm-common_DIR ${_modules_dir}/opm-common/${_leaf_dir_name})
   else()
     string(REPLACE ${PROJECT_NAME} opm-common _opm_common_leaf ${_leaf_dir_name})
-    message("_opm_common_leaf=${_opm_common_leaf}")
     if(NOT _leaf_dir_name STREQUAL _opm_common_leaf
         AND IS_DIRECTORY ${_parent_full_dir}/${_opm_common_leaf})
       # We are using build directories named <prefix><module-name><postfix>
@@ -127,7 +122,7 @@
   add_test(test_communication_utils_parallel ${MPIEXEC_EXECUTABLE} ${MPIEXEC_NUMPROC_FLAG} 4 bin/test_communication_utils)
 endif()
 
-if(MPI_FOUND AND HAVE_OPM_TESTS)
+if(MPI_FOUND AND HAVE_OPM_TESTS AND HAVE_ECL_INPUT)
   # opm_add_test would need a driver script to run the
   # parallel test (tests/run-parallel-unitTest.sh which
   # is in opm-simulators and needs to be moved) until
