=== debian/changelog ===
opm-grid (2023.04+ds-1) unstable; urgency=medium

  * New upstream release 2023.04

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 14 Jul 2023 15:56:33 +0200

opm-grid (2022.10+ds-4) unstable; urgency=medium

  * d/control: Limit the architectures to known working ones.

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 23 Mar 2023 08:35:18 +0100
