=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libdune-istl-dev (>= 2.6), doxygen, texlive-latex-extra,
                texlive-latex-recommended, ghostscript,
                libsuitesparse-dev, libpython3-dev,
-               libopm-common-dev (>= 2022.10),
+               libopm-common-dev (>= 2023.04),
 	       libscotchmetis-dev, libscotchparmetis-dev,
                libdune-geometry-dev (>= 2.6), libtrilinos-zoltan-dev, mpi-default-dev,
                mpi-default-bin
@@ -22,10 +22,10 @@
 
 Package: libopm-grid-dev
 Section: libdevel
-Architecture: any
+Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64
 Multi-Arch: same
 Depends: ${opm:shared-library}, ${misc:Depends}, libdune-grid-dev (>= 2.6),
-         libdune-istl-dev  (>= 2.6), libopm-common-dev  (>= 2022.10),
+         libdune-istl-dev  (>= 2.6), libopm-common-dev  (>= 2023.04),
 	 libscotchmetis-dev, libscotchparmetis-dev, libtrilinos-zoltan-dev
 Replaces: libopm-grid1-dev
 Suggests: libopm-grid-doc
@@ -51,7 +51,7 @@
 
 Package: libopm-grid
 Pre-Depends: ${misc:Pre-Depends}
-Architecture: any
+Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Provides: ${opm:shared-library}
@@ -103,7 +103,7 @@
 
 Package: libopm-grid-bin
 Pre-Depends: ${misc:Pre-Depends}
-Architecture: any
+Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64
 Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: libopm-grid1-bin
