=== debian/changelog ===
opm-grid (2024.04+ds-4) sid; urgency=medium

  * Team upload.
  * Allow build on systems with less than 4 CPUs.

 -- Santiago Vila <sanvila@debian.org>  Thu, 31 Oct 2024 19:15:00 +0100

opm-grid (2024.04+ds-3) sid; urgency=medium

  * add missing include for gcc-14
    (Closes: #1075347)

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 09 Jul 2024 22:05:20 +0200

opm-grid (2024.04+ds-2) sid; urgency=medium

  * d/control: depend on OPM >= 2024.04

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 13 May 2024 13:11:41 +0200

opm-grid (2024.04+ds-1) sid; urgency=medium

  * New upstream version 2024.04

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 08 May 2024 21:23:27 +0200

opm-grid (2024.04~rc2+ds-2) sid; urgency=medium

  * New upstream release candidate 2024.04-rc2

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 07 May 2024 19:29:06 +0200

opm-grid (2024.04~rc1+ds-1) experimental; urgency=medium

  * New upstream release candidate 2024.04~rc1

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 19 Apr 2024 19:48:24 +0200

opm-grid (2023.10+ds-2) unstable; urgency=medium

  * Team upload.
  * Add support for loong64
    Closes: #1059850
  * debhelper-compat 13 (routine-update)
  * cme fix dpkg-control
  * Replace deprecated pkg-config Build-Depends by pkgconf

 -- Andreas Tille <tille@debian.org>  Sun, 18 Feb 2024 18:04:38 +0100

opm-grid (2023.10+ds-1) experimental; urgency=medium

  * New upsream release 2023.10
  * d/copyright: Updated copyright

 -- Markus Blatt <markus@dr-blatt.de>  Sun, 12 Nov 2023 15:31:04 +0100

opm-grid (2023.10~rc2+ds-1) experimental; urgency=medium

  * Release candidate 2023.10-rc2

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 30 Oct 2023 20:04:26 +0100

opm-grid (2023.10~rc1+ds-1) experimental; urgency=medium

  * do not try to install removed  pkg-config files.
  * Release candidate 2023.10-rc1
  * d/watch: Also allow downloading release candidates.

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 17 Oct 2023 19:32:17 +0200
