=== debian/control ===
--- 
+++ 
@@ -1,34 +1,54 @@
 Source: opm-grid
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Arne Morten Kvarving <arne.morten.kvarving@sintef.no>,
+           Markus Blatt <markus@dr-blatt.de>
+Section: libs
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Arne Morten Kvarving <arne.morten.kvarving@sintef.no>, Markus Blatt <markus@dr-blatt.de>
-Build-Depends: debhelper-compat (= 12), cmake (>=3.10), quilt,
-               libboost-system-dev, libboost-test-dev,
-               libdune-common-dev (>= 2.6), bc, zlib1g-dev, libtool, pkg-config,
-               libdune-grid-dev (>= 2.6), libtinyxml-dev,
-               libdune-istl-dev (>= 2.6), doxygen, texlive-latex-extra,
-               texlive-latex-recommended, ghostscript,
-               libsuitesparse-dev, libpython3-dev,
-               libopm-common-dev (>= 2023.04),
-	       libscotchmetis-dev, libscotchparmetis-dev,
-               libdune-geometry-dev (>= 2.6), libtrilinos-zoltan-dev, mpi-default-dev,
+Build-Depends: debhelper-compat (= 13),
+               quilt,
+               libboost-system-dev,
+               libboost-test-dev,
+               libdune-common-dev,
+               bc,
+               zlib1g-dev,
+               libtool,
+               pkgconf,
+               libdune-grid-dev,
+               libtinyxml-dev,
+               libdune-istl-dev,
+               doxygen,
+               texlive-latex-extra,
+               texlive-latex-recommended,
+               ghostscript,
+               libsuitesparse-dev,
+               libpython3-dev,
+               libopm-common-dev (>= 2024.04),
+               libscotchmetis-dev,
+               libscotchparmetis-dev,
+               libdune-geometry-dev,
+               libtrilinos-zoltan-dev,
+               mpi-default-dev,
                mpi-default-bin
 Standards-Version: 4.6.2
-Section: libs
-Homepage: http://opm-project.org
 Vcs-Browser: https://salsa.debian.org/science-team/opm-grid
 Vcs-Git: https://salsa.debian.org/science-team/opm-grid.git
+Homepage: http://opm-project.org
 Rules-Requires-Root: no
 
 Package: libopm-grid-dev
+Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64 loong64
+Multi-Arch: same
 Section: libdevel
-Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64
-Multi-Arch: same
-Depends: ${opm:shared-library}, ${misc:Depends}, libdune-grid-dev (>= 2.6),
-         libdune-istl-dev  (>= 2.6), libopm-common-dev  (>= 2023.04),
-	 libscotchmetis-dev, libscotchparmetis-dev, libtrilinos-zoltan-dev
+Depends: ${opm:shared-library},
+         ${misc:Depends},
+         libdune-grid-dev,
+         libdune-istl-dev,
+         libopm-common-dev  (>= 2024.04),
+         libscotchmetis-dev,
+         libscotchparmetis-dev,
+         libtrilinos-zoltan-dev
+Suggests: libopm-grid-doc
 Replaces: libopm-grid1-dev
-Suggests: libopm-grid-doc
 Description: DUNE grid implementations for reservoir simulation -- development files
  The Open Porous Media (OPM) software suite provides libraries and
  tools for modeling and simulation of porous media processes, especially
@@ -50,10 +70,11 @@
  i.e. the headers and shared library links.
 
 Package: libopm-grid
+Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64 loong64
+Multi-Arch: same
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64
-Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
 Provides: ${opm:shared-library}
 Replaces: libopm-grid1
 Description: DUNE grid implementations for reservoir simulation -- library
@@ -76,9 +97,9 @@
  This package provides the library of the grid implementations.
 
 Package: libopm-grid-doc
-Section: doc
 Architecture: all
 Multi-Arch: foreign
+Section: doc
 Depends: ${misc:Depends}
 Replaces: libopm-grid1-doc
 Description: DUNE grid implementations for reservoir simulation -- documentation
@@ -102,10 +123,11 @@
  implementations.
 
 Package: libopm-grid-bin
+Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64 loong64
+Multi-Arch: foreign
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64
-Multi-Arch: foreign
-Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: libopm-grid1-bin
 Description: corner point grid utility programs
  The Open Porous Media (OPM) software suite provides libraries and
