=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 # -*- makefile -*-
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
+export PRTE_MCA_rmaps_default_mapping_policy=:oversubscribe
 
 include /usr/share/dpkg/architecture.mk
