## opm-grid 2024.10+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -119,7 +119,11 @@
   if(NOT MPIEXEC_EXECUTABLE)
     set(MPIEXEC_EXECUTABLE ${MPIEXEC})
   endif()
+	add_test(addLgrsOnDistributedGrid_test_parallel ${MPIEXEC_EXECUTABLE} ${MPIEXEC_NUMPROC_FLAG} 4 bin/addLgrsOnDistributedGrid_test)
   add_test(distribution_test_parallel ${MPIEXEC_EXECUTABLE} ${MPIEXEC_NUMPROC_FLAG} 4 bin/distribution_test)
+  if(Boost_VERSION_STRING VERSION_GREATER 1.53)
+     add_test(inactiveCell_lgr_test_parallel ${MPIEXEC_EXECUTABLE} ${MPIEXEC_NUMPROC_FLAG} 4 bin/inactiveCell_lgr_test)
+  endif()
   add_test(test_communication_utils_parallel ${MPIEXEC_EXECUTABLE} ${MPIEXEC_NUMPROC_FLAG} 4 bin/test_communication_utils)
 endif()
