=== debian/changelog ===
opm-grid (2024.10+ds-1build1) plucky; urgency=medium

  * No-change rebuild for openmpi

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 06 Dec 2024 07:23:39 +0000

opm-grid (2024.10+ds-1) unstable; urgency=medium

  * New upstream release 2024.10
  * d/control Bumped standards version to 4.7.0 (no changes)
  * d/control: Depend on OPM 2024.10
  * d/patches: Refreshed patches
  * d/patches: backported support for DUNE 2.10
  * d/rules: Use chrpath to strip RPATH/RUNPATH from installed libs.
  * d/copyright: Updated and corrected copyright statements.
  * d/patches: Fix GPL license declarations for two tests.

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 15 Nov 2024 14:58:24 +0100
