=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                quilt,
+	       chrpath,
                libboost-system-dev,
                libboost-test-dev,
                libdune-common-dev,
@@ -22,14 +23,14 @@
                ghostscript,
                libsuitesparse-dev,
                libpython3-dev,
-               libopm-common-dev (>= 2024.04),
+               libopm-common-dev (>= 2024.10),
                libscotchmetis-dev,
                libscotchparmetis-dev,
                libdune-geometry-dev,
                libtrilinos-zoltan-dev,
                mpi-default-dev,
                mpi-default-bin
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/science-team/opm-grid
 Vcs-Git: https://salsa.debian.org/science-team/opm-grid.git
 Homepage: http://opm-project.org
@@ -43,7 +44,7 @@
          ${misc:Depends},
          libdune-grid-dev,
          libdune-istl-dev,
-         libopm-common-dev  (>= 2024.04),
+         libopm-common-dev  (>= 2024.10),
          libscotchmetis-dev,
          libscotchparmetis-dev,
          libtrilinos-zoltan-dev
