=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,13 @@
 include /usr/share/dpkg/architecture.mk
 
 OPM_DEBIAN_CMAKE_FLAGS =
+
+override_dh_install:
+	# Manual delete runpath set by openmpi 5.0.5
+	# See https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1085509
+	find debian/tmp/ -name \*.so -o  -name \*.so.\* -exec chrpath -d '{}' \; || true
+	find debian/tmp/usr/bin -type f -exec chrpath -d '{}' \; || true
+	dh_install
 
 %:
 	dh $@
