## opm-grid 2025.04~rc3+ds

=== debian/changelog ===
opm-grid (2025.04~rc3+ds-1) experimental; urgency=medium

  * New upstream pre-release version 2025.04~rc3

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 28 Apr 2025 17:17:16 +0200

opm-grid (2025.04~rc2+ds-2) experimental; urgency=medium

  * Bump version (no-change) to build with updated and fixed opm-common

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 23 Apr 2025 08:43:37 +0200

opm-grid (2025.04~rc2+ds-1) experimental; urgency=medium

  * New upstream pre-release version 2025.04~rc2
  * d/patches: Drop applied patches

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 15 Apr 2025 13:51:30 +0200

opm-grid (2025.04~git20250402.80c23280+ds-1~exp1) experimental; urgency=medium

  * Prelease snapshot of 2025.04 release at commit 80c23280
  * Drop patches applied upstream and rediff patches

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 03 Apr 2025 13:53:49 +0200

opm-grid (2024.10+ds-3) unstable; urgency=medium

  * d/copyright: Fixes formatting and content of copyright file
  * d/control: Bumped standards version to 4.7.2 (no change)

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 14 Apr 2025 15:18:34 +0200

opm-grid (2024.10+ds-2) unstable; urgency=medium

  * Fix compilation with 64bit metis bindings of scotch.
    (Closes: #1101246)

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 27 Mar 2025 17:49:40 +0100
