=== debian/changelog ===
opm-grid (2025.04+ds-1) sid; urgency=medium

  * New upstream release version 2025.04
  * d/patches: Drop applied patches

 -- Markus Blatt <markus@dr-blatt.de>  Sun, 10 Aug 2025 15:41:24 +0200
