=== debian/control ===
--- 
+++ 
@@ -23,14 +23,14 @@
                ghostscript,
                libsuitesparse-dev,
                libpython3-dev,
-               libopm-common-dev (>= 2024.10),
+               libopm-common-dev (>= 2025.04~),
                libscotchmetis-dev,
                libscotchparmetis-dev,
                libdune-geometry-dev,
                libtrilinos-zoltan-dev,
                mpi-default-dev,
                mpi-default-bin
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/opm-grid
 Vcs-Git: https://salsa.debian.org/science-team/opm-grid.git
 Homepage: http://opm-project.org
@@ -44,7 +44,7 @@
          ${misc:Depends},
          libdune-grid-dev,
          libdune-istl-dev,
-         libopm-common-dev  (>= 2024.10),
+         libopm-common-dev  (>= 2025.04~),
          libscotchmetis-dev,
          libscotchparmetis-dev,
          libtrilinos-zoltan-dev
