## opm-grid 2025.10~git20251002.6ed9dfa4+ds

=== debian/changelog ===
opm-grid (2025.10~git20251002.6ed9dfa4+ds-1) experimental; urgency=medium

  * Prerelease version on commit 6ed9dfa4
  * Depend on OPM 2025.10

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 09 Oct 2025 21:18:06 +0200
