## opm-grid 2025.10%2Bds

=== debian/changelog ===
opm-grid (2025.10+ds-2) unstable; urgency=medium

  * d/control: Fix build with boost 1.90 (Closes: 1127248)

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 09 Feb 2026 11:19:24 +0100

opm-grid (2025.10+ds-1) unstable; urgency=medium

  * New upstream version 2025.10+ds
  * Depend on OPM 2025.10

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 24 Oct 2025 16:47:25 +0200
