=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
                ghostscript,
                libsuitesparse-dev,
                libpython3-dev,
-               libopm-common-dev (>= 2025.04~),
+               libopm-common-dev (>= 2025.10~),
                libscotchmetis-dev,
                libscotchparmetis-dev,
                libdune-geometry-dev,
@@ -44,7 +44,7 @@
          ${misc:Depends},
          libdune-grid-dev,
          libdune-istl-dev,
-         libopm-common-dev  (>= 2025.04~),
+         libopm-common-dev  (>= 2025.10~),
          libscotchmetis-dev,
          libscotchparmetis-dev,
          libtrilinos-zoltan-dev
