=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

# PGP signature mangle, so foo.tar.gz has foo.tar.gz.sig
#opts="pgpsigurlmangle=s%$%.sig%"

# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?release/(\d\d\d\d.\d\d)/(.*)\.tar\.gz%@PACKAGE@-$1-$2.tar.gz%,oversionmangle=s/(.*)/$1+ds/,uversionmangle=s/.final//;s/.rc/~rc/,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//" \
   https://github.com/OPM/@PACKAGE@/tags \
   (?:.*?)?release/(\d\d\d\d\.\d\d)/(final|rc.*)\.tar\.gz debian uupdate

# Direct Git
# opts="mode=git" http://git.example.com/opm-grid.git \
#   refs/tags/v([\d\.]+) debian uupdate
